Name: concourse	
Version: 5.4.1
Release: 1%{?dist}
Summary: Concourse is a container-based continuous thing-doer written in Go and Elm.
Group: System/Pipeline
License: Apache
URL: https://concourse-ci.org/
BuildRequires: golang
#Requires:


%description
Concourse is an open-source continuous thing-doer.
Built on the simple mechanics of resources, tasks, and jobs,
Concourse presents a general approach to automation that makes it great for CI/CD.


%package web
Source0: concourse-web.service
Summary: Concourse Web
%description web


%package worker
Source1: concourse-worker.service
Summary: Concourse Worker
%description worker


%package fly
Summary: A command line interface that runs a build in a container with ATC
%description fly


%prep
%setup -q -T -c %{name}-%{version}
mkdir -p src/github.com/concourse
cd src/github.com/concourse
git clone https://github.com/concourse/concourse


%build
export GOPATH=`pwd`
export GO111MODULE=on
cd src/github.com/concourse/concourse
git checkout v%{version}
%ifarch ppc64
export CGO_ENABLED=1
%endif
go mod download
go build -gcflags=all="-N -l" -ldflags '-extldflags -s -w -buildid %{version}' -o concourse ./cmd/concourse
cd fly
go build -gcflags=all="-N -l" -ldflags '-extldflags -s -w -buildid %{version}' -o fly


%install
mkdir -p %{buildroot}%{_bindir}
cp -rv src/github.com/concourse/concourse/concourse %{buildroot}%{_bindir}
cp -rv src/github.com/concourse/concourse/fly/fly %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
cp -rv %{SOURCE0} %{buildroot}%{_unitdir}
cp -rv %{SOURCE1} %{buildroot}%{_unitdir}


%post web
%systemd_post concourse-web.service
%post worker
%systemd_post concourse-worker.service


%preun web
%systemd_preun concourse-web.service
%preun worker
%systemd_preun concourse-worker.service


%postun web
%systemd_postun concourse-web.service
%postun worker
%systemd_postun concourse-worker.service


%files
%{_bindir}/concourse


%files web
%{_unitdir}/concourse-web.service


%files worker
%{_unitdir}/concourse-worker.service


%files fly
%{_bindir}/fly


%changelog
